# Deprecated API

## Contents

- For Removal
- Fields

- For Removal
  Element | Description
  --- | ---
  jakarta.security.auth.message.config.AuthConfigFactory.getFactorySecurityPermission | Following JEP 411
  jakarta.security.auth.message.config.AuthConfigFactory.providerRegistrationSecurityPermission | Following JEP 411
  jakarta.security.auth.message.config.AuthConfigFactory.setFactorySecurityPermission | Following JEP 411

- Fields
  Field | Description
  --- | ---
  jakarta.security.auth.message.config.AuthConfigFactory.getFactorySecurityPermission | Following JEP 411
  jakarta.security.auth.message.config.AuthConfigFactory.providerRegistrationSecurityPermission | Following JEP 411
  jakarta.security.auth.message.config.AuthConfigFactory.setFactorySecurityPermission | Following JEP 411